No layers in QGIS server GetCapabilities 

2014-05-25 12:06 PM - Radim Blazek

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18768

Description

There are no layers in QGIS GetCapabilities response with projects files saved by latest master. It works with old project files.

It was probably introduced by new legend, it works with commit:7f218c7 and it does not with commit:439065d.

Associated revisions

Revision 2df8f8c1 - 2014-05-27 07:39 AM - Martin Dobias

[layertree] Fix #10347 - save also old <legend> tag

QGIS server does not use QgsProject for loading of QGIS project.

In order to allow reading of new projects, let's also write the original <legend> tag to the project.

Ideally the server should be ported to new layer tree implementation, but that requires

non-trivial changes to the server components.

The <legend> tag is ignored by QGIS application in >= 2.4 and this way also the new project files

can be opened in older versions of QGIS without loosing information about layer groups.

History

#1 - 2014-05-26 10:42 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"2df8f8c11ec3c3923a14c36114e06f3ef141458a".

#2 - 2014-05-26 11:16 PM - Marco Hugentobler

I'm planning to port the server code to project/layertree in the mid-term (ideally shortly after 2.4 is out).

#3 - 2014-05-27 12:12 AM - Martin Dobias

Sounds great!

#4 - 2014-05-27 12:13 AM - Martin Dobias

- Affected QGIS version changed from 2.2.0 to master
